html,body{
  background:#212529;
  color:#dee2e6;
}
:root{overscroll-behavior:none;}

html::-webkit-scrollbar,/*?....*/
body::-webkit-scrollbar/*?....*/{
  /*chrome, opera, safari*/
  display: none;
}
html,body{
  /*edge, ie, firefox*/
  -ms-overflow-style:none;
  scrollbar-width:none;  
}
#boxModal404{
position:fixed;
top:0;
left:0;
width:100vw;
max-width:480px;
height:100vh;
z-index:2000;
backdrop-filter:blur(5px);
}
#modal404{
position:fixed;
bottom:0;
left:10px;
width:100%;
max-width:calc(100vw - 20px);
height:140px;
background:#212529;
border-top-left-radius:5px;
border-top-right-radius:5px;
}
#modal404_btn{
min-width:40px;
}
#kwz-overlay{
position:fixed;
top:40px;
left:0;
width:100vw;
max-width:480px;
height:calc(100vh - 80px );
z-index:200;
       background :green;backdrop-filter-:blur(5px);
}
#kwz-api{
width:100vw;
max-width:480px;
position:relative;
z-index:400;
margin:40px 0 100px;
scroll-margin-top:40px;
           background:red;
overflow:hidden;
                  overflow-y-:auto;
}
#site-main{
  position:fixed;
  top:0;
  left:0;
  z-index:100;
  width:100vw;
  max-width:480px;
  height:100vh;
  margin:0;
  padding:120px 0 100px;
  overflow:hidden;
  overflow-y:scroll;
background:#212529;  
}
.overflow-y-hidden{
overflow-y:hidden !important;
}
#kwz-main{
scroll-margin-top:40px;
}
#kwz-maoni{
position:relative;
width:100%;
min-height:200px;
padding:50px 0 40px;
  
  background:pink;

}
video{
display:block;
width:100%;
height:auto;
}
/*
SuperClass
--------*/
.flex{
  display:-webkit-box;
  display:-moz-box;
  display:-ms-flexbox;
  display:-webkit-flex;
  display:flex;
}
/*
#site-header,
#site-header-bar,
#site-main,
#site-footer,
#site-footer-bar
--------------*/
#site-header,
#site-main--,
#site-footer{
  position:relative;
  display:block--;
  width:100vw;
  max-width:480px;
  height:auto;
}
#site-main{
  margin--:40px 0 120px;
  overflow--:hidden;
}
#site-header{
scroll-margin-top:40px;
  /*margin-top:40px;*/
  border-bottom:2px solid black;/*#212529;*/
}
#site-footer{
  height:40px;
  padding:4px;
  position:fixed;
  bottom:0;
  left:0;
  background: red;
  z-index:1060;
  border-top__:5px solid green;
}
#site-footer::before{
  content:'';
  position:absolute;
  width:100%;
  height:15px;
  top:-15px;/*??*/
  left:0;
  backdrop-filter:blur(5px);
}
#site-header-bar,
#site-footer-bar{
  position:relative;
  width:100%;
  height:100%;
  justify-content:space-between;
  align-items:center;
}
#site-header-bar{
  position:fixed;
  top:0;
  z-index:1060;
  height:40px;
  padding:4px; background : yellow ;
}
#kwezi{
  width:50px;
  height:44px;
  justify-content:center;
  align-items:center;
  background:#009639;/*#04dd6d;*/
}
#kwezi span{background :red ;
  font-size:14px;
  color:#fff;
  text-transform:uppercase;
}
.site-header-mwenyewe-mapica{
  width:100%;
  max-width:480px;
  height:calc((100vw * (9 / 21)) + 54px);/*+54 = 1/2 . site-header-mwenyewe-pica*/
  max-height:calc((480px * (9 / 21)) + 54px );
  position:relative;
  flex-direction:column;
  align-items:center;
  overflow:hidden;
  background--:pink ;
  border-top:1px solid red;
}
.site-header-mwenyewe-pica-kielelezo_hakuna,
.site-header-mwenyewe-pica_hakuna{background:pink;
width:100%;
height:100%;
position:relative;
justify-content:center;
align-items:center;
}
.site-header-mwenyewe-pica-kielelezo{
  width:100%;
  max-width:480px;
  height:calc((100vw * (9 / 21)) + 5px);/*+5 = border-top + border-bottom*/
  max-height:calc((480px * (9 / 21)) + 5px);
  position:relative;
  justify-content:center;
  align-items:center;
  overflow:hidden;
  background:yellow;/*#fafafa;*/
  border-top-:1px solid red;
  border-bottom:4px solid green;
}
.site-header-mwenyewe-pica-kielelezo img{
  display:block;
  max-width:100%;
  height:auto;
}
.vitendho-pica_btn{
position:absolute;
top:50%;
right:0; 
}
.site-header-mwenyewe-pica{
  width:108px;
  height:108px;
  justify-content:center;
  align-items:center;
  position:absolute;
  bottom:0;
  background:#fafafa;
  border-radius:50%;
  overflow:hidden;
  border:4px solid yellow;
  border-right-color:white;
  border-bottom-color:black;
  border-left-color:red;
}
.site-header-mwenyewe-pica img{
  display:block;
  max-width:100%;
  height:auto ;
}
.site-header-mwenyewe-jina{background:yellow ;
  width:100%;
  height:40px;
  padding:10px;
  color:#fafafa;
  text-align:center;
}
.site-header-vitendho{background :orange;
position:relative;
  width :100%;
   height_: 60px;
  padding:40px 10px 10px;
}
/*
kwz
-*/
.kwz{z-index--:300;
position:relative;
width:100%;
max-width:480px;
height:auto;
flex-direction:column;
margin:0 0 10px;overflow:hidden ;
  border-top:1px solid #aaa;
  border-bottom-right-radius:7px;
  border-bottom-left-radius :7px;
  background--:pink;
}
.kwz:last-of-type{
  padding-bottom--:0;
}
.kwz-header{height:60px; /*!!!!!A SUPPRIMER !!!!!!*/
width:calc(100% - 20px);
flex-direction:row;
justify-content:space-between;
position:relative;
padding:5px 0;
margin:0 auto;
overflow:hidden;
      border-bottom:1px solid red;
  background:green;
}
.kwz-header-ka_ga-1{
width:35px;
height:35px;
position:relative;
justify-content--:center;
align-items--:center;
border-radius:50%;
overflow:hidden;
}
.kwz-header-ka_ga-1-no-pica{
width:35px;
height:35px;
justify-content:center;
align-items:center; 
font-size:16px;
color:#aaa;
background:#000;
}
.kwz-header-ka_ga-2{
width:calc(100% - 40px);
height:35px;
position:relative;
flex-direction:column;
background : pink;
}
.kwz-header-mtumiajyi-jina{background :red ;
position:relative;
width:calc(100% - 25px);
padding-top:2px;
font-size:16px;  
}
.kwz-header-mtumiajyi-jina a{
color: green; /*//!!À FAIRE (les états)*/
}
.kwz-header-date{background :grey;
  font-size:10px;
  padding-top:2px;
}
.kwz-header-kitendho{
  position:absolute;
  top:0;
  right:0;
  width:25px;
  height:25px;
  padding-top:2px;
  font-size:16px;
  text-align:center;
  background :black;
}
.kwz-makala-do_doo{
padding:10px 5px;
border-bottom:1px solid #aaa;
}
.kwz-makala-tags{background:yellow;
padding:10px;
}  
  
.kwz-makala-picani{
width:100%;
border-top__:1px solid red;
border-bottom__:1px solid red;
}
.kwz-makala-pica{
overflow:hidden;
scroll-margin-top:40px;
margin-bottom:20px;
}
.kwz-makala-pica:last-of-type{
margin-bottom:0;
}
/*site_home*/
.kwz-has-makala-pica .kwz-makala-picani{
display:-webkit-box;background:green;
display:-moz-box;
display:-ms-flexbox;
display:-webkit-flex;
display:flex;
flex-wrap:wrap;
justify-content:space-between;
position:relative;
}
.kwz-makala-pica_3_11_col_picani169_2strips_w100-strip2_2x169-w50ypicani169 .kwz-makala-picani,
.kwz-makala-pica_3_12_col_picani169_2strips_w100-strip2_2x43-w50ypicani169 .kwz-makala-picani,
.kwz-makala-pica_3_13_col_picani169_2strips_w100-strip2_2x11-w50ypicani169 .kwz-makala-picani,
.kwz-makala-pica_3_14_col_picani43_2strips_w100-strip2_2x43-w50ypicani43 .kwz-makala-picani,
.kwz-makala-pica_3_15_col_picani11_2strips_w100-strip2_2x11-w50ypicani11 .kwz-makala-picani,
.kwz-makala-pica_4_10_col_picani169_1strip_4x100-25ypicani169 .kwz-makala-picani,
.kwz-makala-pica_4_11_col_picani43_1strip_4x100-25ypicani43 .kwz-makala-picani,
.kwz-makala-pica_4_12_col_picani11_1strip_4x100-25ypicani11 .kwz-makala-picani{
flex-direction:column;background:yellow;
align-content:space-between;
}
.kwz-makala-pica_3_8_row_picani169_3strips_3w100 .kwz-makala-picani,
.kwz-makala-pica_3_11_col_picani169_2strips_w100-strip2_2x169-w50ypicani169 .kwz-makala-picani,
.kwz-makala-pica_3_13_col_picani169_2strips_w100-strip2_2x11-w50ypicani169 .kwz-makala-picani,
.kwz-makala-pica_3_12_col_picani169_2strips_w100-strip2_2x43-w50ypicani169 .kwz-makala-picani,
.kwz-makala-pica_4_7_row_picani169_4strips_4w100 .kwz-makala-picani,
.kwz-makala-pica_4_10_col_picani169_1strip_4x100-25ypicani169 .kwz-makala-picani{
height:calc(100vw * .5625);
max-height:calc(480px * .5625);
         overflow_:hidden;

 aspect-ratio_:16/9;
}

.kwz-makala-pica_3_9_row_picani43_3strips_3w100 .kwz-makala-picani,
.kwz-makala-pica_3_14_col_picani43_2strips_w100-strip2_2x43-w50ypicani43 .kwz-makala-picani,
.kwz-makala-pica_4_8_row_picani43_4strips_4w100 .kwz-makala-picani,
.kwz-makala-pica_4_11_col_picani43_1strip_4x100-25ypicani43 .kwz-makala-picani{
height:calc(100vw * .75);
max-height:calc(480px * .75);
aspect-ratio_:4/3;
}
.kwz-makala-pica_3_10_row_picani11_3strips_3w100 .kwz-makala-picani,
.kwz-makala-pica_3_15_col_picani11_2strips_w100-strip2_2x11-w50ypicani11 .kwz-makala-picani,
.kwz-makala-pica_4_9_row_picani11_4strips_4w100 .kwz-makala-picani,
.kwz-makala-pica_4_12_col_picani11_1strip_4x100-25ypicani11 .kwz-makala-picani{
aspect-ratio_:1;
  height:calc(100vw);
  max-height:480px;
}




.kwz-has-makala-pica .kwz-makala-pica{
margin-bottom:0;  
}
.kwz-has-makala-pica .kwz-makala-pica-plus{
justify-content:center;
align-items:center;
position:absolute;
font-size:20px;
color:#fafafa;
text-shadow:2px 2px 4px #000;
background-color:rgba(0,0,0,0.5);
}
.kwz-makala-pica_5_1_row_2169_2169_1169 .kwz-makala-pica-plus{
bottom:0;
left:0;
}
.kwz-has-makala-pica .kwz-makala-pica img,
.kwz-has-makala-pica .kwz-makala-pica video{
width:100%;
height:100%;
object-fit:cover;
}

.kwz-makala-pica_2_1_row_2169 .kwz-makala-pica,
.kwz-makala-pica_2_3_row_243 .kwz-makala-pica,
.kwz-makala-pica_2_5_row_211 .kwz-makala-pica,
.kwz-makala-pica_2_7_row_2916 .kwz-makala-pica,
.kwz-makala-pica_2_8_row_234 .kwz-makala-pica,
.kwz-makala-pica_3_1_row_1169_2169 .kwz-makala-pica,
.kwz-makala-pica_3_2_row_2169_1169 .kwz-makala-pica,
.kwz-makala-pica_3_4_row_1169_243 .kwz-makala-pica,
.kwz-makala-pica_3_5_row_243_1169 .kwz-makala-pica,
.kwz-makala-pica_3_6_row_1169_211 .kwz-makala-pica,
.kwz-makala-pica_3_7_row_211_1169 .kwz-makala-pica,
.kwz-makala-pica_3_15_col_picani11_2strips_w100-strip2_2x11-w50ypicani11 .kwz-makala-pica,
.kwz-makala-pica_4_1_row_2169_2169 .kwz-makala-pica,
.kwz-makala-pica_4_3_row_243_243 .kwz-makala-pica,
.kwz-makala-pica_4_4_row_211_211 .kwz-makala-pica,
.kwz-makala-pica_4_5_row_2916_2916 .kwz-makala-pica,
.kwz-makala-pica_4_6_row_234_234 .kwz-makala-pica,
.kwz-makala-pica_5_1_row_2169_2169_1169 .kwz-makala-pica{
width:calc(50% - 2px);

/*max-width:240px;
height:calc(50vw * (9 / 16));
max-height:calc(240px * (9 / 16))*/
}
.kwz-makala-pica_2_2_row_1169_1169 .kwz-makala-pica,
.kwz-makala-pica_2_4_row_143_143 .kwz-makala-pica,
.kwz-makala-pica_2_6_row_111_111 .kwz-makala-pica,
.kwz-makala-pica_3_1_row_1169_2169 .kwz-makala-pica:nth-child(1),
.kwz-makala-pica_3_2_row_2169_1169 .kwz-makala-pica:nth-child(3),
 .kwz-makala-pica_3_3_row_1strip_3x169 .kwz-makala-pica,
.kwz-makala-pica_3_4_row_1169_243 .kwz-makala-pica:nth-child(1),
.kwz-makala-pica_3_5_row_243_1169 .kwz-makala-pica:nth-child(3),
.kwz-makala-pica_3_6_row_1169_211 .kwz-makala-pica:nth-child(1),
.kwz-makala-pica_3_7_row_211_1169 .kwz-makala-pica:nth-child(3),
.kwz-makala-pica_4_2_row_1strip_4x169 .kwz-makala-pica,
.kwz-makala-pica_5_1_row_2169_2169_1169 .kwz-makala-pica:nth-child(5),
.kwz-makala-pica_5_1_row_2169_2169_1169 .kwz-makala-pica-plus{
width:100%;
}
.kwz-makala-pica_3_8_row_picani169_3strips_3w100 .kwz-makala-pica,
.kwz-makala-pica_3_9_row_picani43_3strips_3w100 .kwz-makala-pica,
.kwz-makala-pica_3_10_row_picani11_3strips_3w100 .kwz-makala-pica{
width:calc((100% / 3) - 2.66px);
height:100%;
}




.kwz-makala-pica_3_11_col_picani169_2strips_w100-strip2_2x169-w50ypicani169 .kwz-makala-pica{
width:calc( calc( ((100% * .5625) / 2) - 2px /*(1)*/ ) / .5625 );
/*####width:calc( ( (100% * .5625) / 2 - 2px ) / .5625 );*/
/*(1) =1/2 height (- 2px ou 0px)*/ 
height:calc((100% / 2) - 2px );
aspect-ratio_:16/9;
}
.kwz-makala-pica_3_11_col_picani169_2strips_w100-strip2_2x169-w50ypicani169 .kwz-makala-pica:nth-child(1){
width:calc( 100% - (calc( calc( ((100% * .5625) / 2) - 0px /*(1)*/ ) / .5625 )) - 0px);
height:100%;
}

.kwz-makala-pica_3_12_col_picani169_2strips_w100-strip2_2x43-w50ypicani169 .kwz-makala-pica,
.kwz-makala-pica_3_14_col_picani43_2strips_w100-strip2_2x43-w50ypicani43 .kwz-makala-pica{
height:calc((100% / 2) - 2px );
aspect-ratio:4/3;
}
.kwz-makala-pica_3_12_col_picani169_2strips_w100-strip2_2x43-w50ypicani169 .kwz-makala-pica:nth-child(1){
width:calc( 100% - (calc( calc( ((100% * .5625) / 2) - 2px /*(1)*/ ) / .75 /*(2)*/) + 4px ) );
/*(2) = width de nth-child(2) & nth-child(3)*/
height:100%;
}
.kwz-makala-pica_3_14_col_picani43_2strips_w100-strip2_2x43-w50ypicani43 .kwz-makala-pica:nth-child(1){
width:calc( 100% - (calc( calc( ((100% * .75) / 2) - 2px /*(1)*/ ) / .75 /*(2)*/) + 4px ) );
/*(2) = width de nth-child(2) & nth-child(3)*/
height:100%;
}

.kwz-makala-pica_3_13_col_picani169_2strips_w100-strip2_2x11-w50ypicani169 .kwz-makala-pica
{
width:calc( ( (100% * .5625) / 2 ) - 2px );
aspect-ratio:1;
}
.kwz-makala-pica_3_15_col_picani11_2strips_w100-strip2_2x11-w50ypicani11 .kwz-makala-pica:nth-child(1){
height:100%;
}
.kwz-makala-pica_3_13_col_picani169_2strips_w100-strip2_2x11-w50ypicani169 .kwz-makala-pica:nth-child(1){
width:calc( 100% - ( (100% * .5625) / 2 ) - 2px );
height:100%;
}
.kwz-makala-pica_4_7_row_picani169_4strips_4w100 .kwz-makala-pica,
.kwz-makala-pica_4_8_row_picani43_4strips_4w100 .kwz-makala-pica,
.kwz-makala-pica_4_9_row_picani11_4strips_4w100 .kwz-makala-pica{
width:calc(25% - 3px);
height:100%;
}
.kwz-makala-pica_4_10_col_picani169_1strip_4x100-25ypicani169 .kwz-makala-pica,
.kwz-makala-pica_4_11_col_picani43_1strip_4x100-25ypicani43 .kwz-makala-pica,
.kwz-makala-pica_4_12_col_picani11_1strip_4x100-25ypicani11 .kwz-makala-pica{
width:100%;
height:calc(25% - 3px);
}
.kwz-makala-pica_2_1_row_2169 .kwz-makala-pica,
.kwz-makala-pica_2_2_row_1169_1169 .kwz-makala-pica,
.kwz-makala-pica_3_1_row_1169_2169 .kwz-makala-pica,
.kwz-makala-pica_3_2_row_2169_1169 .kwz-makala-pica,
.kwz-makala-pica_3_3_row_1strip_3x169 .kwz-makala-pica,
.kwz-makala-pica_3_4_row_1169_243 .kwz-makala-pica:nth-child(1),
.kwz-makala-pica_3_5_row_243_1169 .kwz-makala-pica:nth-child(3),
.kwz-makala-pica_3_6_row_1169_211 .kwz-makala-pica:nth-child(1),
.kwz-makala-pica_3_7_row_211_1169 .kwz-makala-pica:nth-child(3),
.kwz-makala-pica_4_1_row_2169_2169 .kwz-makala-pica,
.kwz-makala-pica_4_2_row_1strip_4x169 .kwz-makala-pica,
.kwz-makala-pica_5_1_row_2169_2169_1169 .kwz-makala-pica,
.kwz-makala-pica_5_1_row_2169_2169_1169 .kwz-makala-pica-plus{
aspect-ratio:16/9;border_:1px solid red;
}
.kwz-makala-pica_2_3_row_243 .kwz-makala-pica,
.kwz-makala-pica_2_4_row_143_143 .kwz-makala-pica,
.kwz-makala-pica_3_4_row_1169_243 .kwz-makala-pica,
.kwz-makala-pica_3_5_row_243_1169 .kwz-makala-pica,
.kwz-makala-pica_4_3_row_243_243 .kwz-makala-pica{
aspect-ratio:4/3;
}



.kwz-makala-pica_2_5_row_211 .kwz-makala-pica,
.kwz-makala-pica_2_6_row_111_111 .kwz-makala-pica,
.kwz-makala-pica_3_6_row_1169_211 .kwz-makala-pica,
.kwz-makala-pica_3_7_row_211_1169 .kwz-makala-pica,
.kwz-makala-pica_3_15_col_picani11_2strips_w100-strip2_2x11-w50ypicani11 .kwz-makala-pica,
.kwz-makala-pica_4_4_row_211_211 .kwz-makala-pica{
aspect-ratio:1;
}
.kwz-makala-pica_2_7_row_2916 .kwz-makala-pica,
.kwz-makala-pica_4_5_row_2916_2916 .kwz-makala-pica{
aspect-ratio:9/16;
}
.kwz-makala-pica_2_8_row_234 .kwz-makala-pica,
.kwz-makala-pica_4_6_row_234_234 .kwz-makala-pica{
aspect-ratio:3/4;
}
.kwz-makala-pica_2_2_row_1169_1169 .kwz-makala-pica:nth-child(1),
.kwz-makala-pica_2_4_row_143_143 .kwz-makala-pica:nth-child(1),
.kwz-makala-pica_2_6_row_111_111 .kwz-makala-pica:nth-child(1),
.kwz-makala-pica_3_1_row_1169_2169 .kwz-makala-pica:nth-child(1),
.kwz-makala-pica_3_3_row_1strip_3x169 .kwz-makala-pica:nth-child(1),
.kwz-makala-pica_3_3_row_1strip_3x169 .kwz-makala-pica:nth-child(2),
.kwz-makala-pica_3_4_row_1169_243 .kwz-makala-pica:nth-child(1),
.kwz-makala-pica_3_6_row_1169_211 .kwz-makala-pica:nth-child(1),
.kwz-makala-pica_4_1_row_2169_2169 .kwz-makala-pica:nth-child(1),
.kwz-makala-pica_4_1_row_2169_2169 .kwz-makala-pica:nth-child(2),
.kwz-makala-pica_4_2_row_1strip_4x169 .kwz-makala-pica,
.kwz-makala-pica_4_3_row_243_243 .kwz-makala-pica:nth-child(1),
.kwz-makala-pica_4_3_row_243_243 .kwz-makala-pica:nth-child(2),
.kwz-makala-pica_4_4_row_211_211 .kwz-makala-pica:nth-child(1),
.kwz-makala-pica_4_4_row_211_211 .kwz-makala-pica:nth-child(2),
.kwz-makala-pica_4_5_row_2916_2916 .kwz-makala-pica:nth-child(1),
.kwz-makala-pica_4_5_row_2916_2916 .kwz-makala-pica:nth-child(2),
.kwz-makala-pica_4_6_row_234_234 .kwz-makala-pica:nth-child(1),
.kwz-makala-pica_4_6_row_234_234 .kwz-makala-pica:nth-child(2),
.kwz-makala-pica_5_1_row_2169_2169_1169 .kwz-makala-pica{
margin-bottom:4px;
}
.kwz-makala-pica_4_2_row_1strip_4x169 .kwz-makala-pica:nth-child(4),
.kwz-makala-pica_5_1_row_2169_2169_1169 .kwz-makala-pica:nth-child(5){
margin-bottom:0;
}
.kwz-makala-pica_3_2_row_2169_1169 .kwz-makala-pica:nth-child(3),
.kwz-makala-pica_3_5_row_243_1169 .kwz-makala-pica:nth-child(3),
.kwz-makala-pica_3_7_row_211_1169 .kwz-makala-pica:nth-child(3){
margin-top:4px;
}



.kwz-makala-vidheo{
}
.kwz-makala-nakala{background :green ;
width:100%;
height:auto;
padding:10px;
}
/*
Media??????????
---*/
.media-ka_ga{background :red ;
  width:100%;
  height:auto;
  padding-top:4px;
  flex-direction:row;
  flex-wrap: wrap;
  justify-content:start;
  position:relative;
}
/*
.kwz-w-100{
  width:calc(25% - 5px);
  height:120px;/___calc(25vw - 5px);____/
  margin:0 0 4px 4px;
  overflow:hidden;
  
}*/
.kwz-post-footer-vitendho,
.kwz-pica-footer-vitendho{
width:100%;
height:50px;
padding:15px 10px 0;
justify-content:space-between;
border-top:1px solid #aaa;
  background :grey;
}
.kwz-pica-footer-vitendho{
height:40px;
padding:4px;
align-items:center;
}
.site-footer .kwz-post-footer-vitendho{
height:100%;
padding:0;
align-items:center;
border-top:none;
}
.kwz-post-footer-vitendho .btn{
min-width:50px;
height:25px;padding- :0;
  background :grey;
}
.kwz-pica-footer-vitendho .btn{
min-width:50px;
height:20px;padding- :0;
  background :grey;
}
.site-footer .kwz-post-footer-vitendho .btn{
  
  /*height:32px;*/
  background-:green;
}